package cn.bunny.service.controller;

import cn.bunny.entity.system.user.Userinfo;
import cn.bunny.pojo.result.Result;
import cn.bunny.service.service.UserinfoService;
import cn.hutool.system.UserInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author Bunny
 * @since 2024-07-28
 */
@Tag(name = "用户信息")
@RestController
@RequestMapping("/api/userinfo")
public class UserinfoController {
    @Autowired
    private UserinfoService userinfoService;

    @Operation(summary = "添加用户信息", description = "添加用户信息")
    @PostMapping("addUserinfo")
    public Result<UserInfo> addUserinfo(@RequestBody Userinfo userInfo) {
        userinfoService.save(userInfo);
        return Result.success();
    }
}
