package cn.bunny.service.controller;

import cn.bunny.service.service.LoginService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "web相关接口")
@RestController
@RequestMapping("/api")
public class WebController {
    @Autowired
    private LoginService loginService;

    @Operation(summary = "生成验证码", description = "生成验证码")
    @GetMapping("checkCode")
    public ResponseEntity<byte[]> checkCode() {
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.IMAGE_JPEG);
        
        byte[] image = loginService.checkCode();
        return new ResponseEntity<byte[]>(image, headers, HttpStatus.OK);
    }
}
